<?php
/**
 * @version     frontend/site/controller.php 2014-10-21 13:45:00 UTC zanardi
 * @package     Watchful Client
 * @author      Watchful
 * @authorUrl   https://watchful.li
 * @copyright   Copyright (c) 2012-2014 watchful.li
 * @license     GNU/GPL v3 or later
 */

defined('_JEXEC') or die;
defined('WATCHFULLI_PATH') or die;

require_once WATCHFULLI_PATH . '/classes/controller.php';
require_once WATCHFULLI_PATH . '/classes/actions.php';

/**
 * watchfulliController class.
 * 
 * @see WatchfulliBaseController
 */
class watchfulliController extends WatchfulliBaseController
{
    /**
     * 
     * @param array $config
     */
    public function __construct($config = array())
    {
        parent::__construct($config);
        $this->action = new watchfulliActions();
    }

    /**
     * 
     */
    public function doUpdate()
    {
        $this->action->doUpdate();
    }

    /**
     * 
     */
    public function updateCheck()
    {
        $this->action->updateCheck();
    }

    /**
     * 
     */
    public function purgeCache()
    {
        $this->action->purgeCache();
    }

    /**
     * 
     */
    public function getLog()
    {
        $this->action->getLog();
    }

    /**
     * 
     */
    public function test()
    {
        $this->action->test();
    }
}
